dim2vertex.h File Reference

Deals with vertices in a 2-manifold triangulation. More...

`#include <deque>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "maths/nperm3.h"`
`#include "utilities/nmarkedvector.h"`
`#include "dim2/dim2triangle.h"`

## Classes

class | regina::Dim2VertexEmbedding
| Details how a vertex in the skeleton of a 2-manifold triangulation forms part of an individual triangle. More...
class | regina::Dim2Vertex
| Represents a vertex in the skeleton of a 2-manifold triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with vertices in a 2-manifold triangulation.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).